<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/content_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/reuse_listview_item_style"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="16dp"
        android:paddingTop="8dp"
        android:paddingRight="16dp"
        android:paddingBottom="8dp">

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/home2_game_thumb"
            android:layout_width="64dp"
            android:layout_height="64dp" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="12dp"
            android:layout_marginRight="8dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/home2_game_nameAndsize"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:ellipsize="end"
                    android:includeFontPadding="false"
                    android:lineSpacingMultiplier="0.9"
                    android:singleLine="true"
                    android:textColor="@color/text_primary"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    tools:text="who let dog out" />

                <TextView
                    android:id="@+id/gameSubtitleTv"
                    android:layout_width="wrap_content"
                    android:layout_height="14dp"
                    android:layout_marginStart="4dp"
                    android:paddingStart="2dp"
                    android:paddingEnd="2dp"
                    android:singleLine="true"
                    android:textSize="@dimen/tag_text_size"
                    android:visibility="gone"
                    tools:background="@drawable/bg_advance_download_game_subtitle"
                    tools:text="副标题"
                    tools:textColor="@color/text_secondary"
                    tools:visibility="visible" />

                <TextView
                    android:id="@+id/home2_game_server_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:maxLines="1"
                    android:paddingLeft="3dp"
                    android:paddingRight="3dp"
                    android:paddingBottom="0.5dp"
                    android:text="九游版"
                    android:textColor="@color/white"
                    android:textSize="9sp"
                    android:visibility="gone"
                    tools:visibility="visible" />
            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="22dp">

                <TextView
                    android:id="@+id/home2_game_des"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="4dp"
                    android:layout_marginBottom="6dp"
                    android:ellipsize="end"
                    android:includeFontPadding="false"
                    android:singleLine="true"
                    android:textColor="@color/text_9a9a9a"
                    android:textSize="10sp" />

            </RelativeLayout>

            <LinearLayout
                android:id="@+id/home2_label_list"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="fill_vertical"
                android:orientation="horizontal"
                android:visibility="visible">

                <TextView
                    android:id="@+id/home2_test_type"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginRight="6dp"
                    android:paddingLeft="4dp"
                    android:paddingTop="1dp"
                    android:paddingRight="4dp"
                    android:paddingBottom="1dp"
                    android:singleLine="true"
                    android:textColor="@color/white"
                    android:textSize="9sp" />

                <TextView
                    android:id="@+id/home2_test_time"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginRight="5dp"
                    android:background="@color/btn_plugin"
                    android:paddingLeft="4dp"
                    android:paddingTop="1dp"
                    android:paddingRight="4dp"
                    android:paddingBottom="1dp"
                    android:singleLine="true"
                    android:textColor="@color/white"
                    android:textSize="9sp" />
            </LinearLayout>

        </LinearLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent">

            <com.gh.gamecenter.feature.view.DownloadButton
                android:id="@+id/home2_download_btn"
                android:layout_width="60dp"
                android:layout_height="28.5dp"
                app:download_button_show_progress="true"
                app:download_button_text_size="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/multiVersionDownloadTv"
                android:layout_width="wrap_content"
                android:layout_height="28.5dp"
                android:drawablePadding="2dp"
                android:gravity="center"
                android:text="展开"
                android:textColor="@color/white"
                android:textSize="@dimen/secondary_size"
                android:visibility="gone"
                app:drawableEndCompat="@drawable/ic_jump_universal"
                app:layout_constraintBottom_toBottomOf="@id/home2_download_btn"
                app:layout_constraintEnd_toEndOf="@id/home2_download_btn"
                app:layout_constraintStart_toStartOf="@id/home2_download_btn"
                app:layout_constraintTop_toTopOf="@id/home2_download_btn" />

            <com.airbnb.lottie.LottieAnimationView
                android:id="@+id/downloadTipsLottie"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginTop="-8dp"
                android:visibility="gone"
                app:layout_constraintRight_toRightOf="@+id/home2_download_btn"
                app:layout_constraintTop_toTopOf="@+id/home2_download_btn"
                app:lottie_autoPlay="false"
                app:lottie_loop="true"
                app:lottie_repeatMode="restart" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </LinearLayout>

    <FrameLayout
        android:id="@+id/extend_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_surface"
        android:visibility="gone">

        <TextView
            android:id="@+id/extend_content"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:descendantFocusability="blocksDescendants"
            android:drawableRight="@drawable/game_server_expend_icon"
            android:drawablePadding="4dp"
            android:orientation="vertical"
            android:paddingTop="8dp"
            android:paddingBottom="24dp"
            android:text="展开剩余2条开服信息"
            android:textColor="@color/text_theme"
            android:textSize="14sp" />

    </FrameLayout>
</LinearLayout>